<?php

namespace App\Enums;

enum MissionZones: int
{
    case DAKHEL_SHAHR= 1;
    case BIRON_SHAHR_DHAKHEL_MAHDODE = 2;
    case BIRON_SHAHR_BIRON_MAHDODE = 3;

    public static function name(int $state): string
    {
        $mapArray = [
            1 => 'داخل شهر',
            2 => 'بیرون شهر (داخل محدوده)',
            3 => 'بیرون شهر (بیرون محدوده)',
        ];

        return $mapArray[$state];
    }
}